Excluir uma etiqueta
curl --request DELETE \
--url https://{host}/api/{session}/labels/{labelId} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/labels/{labelId}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Rótulo deletado com sucesso"
}
Etiquetas
Deletar Rótulo
Deletar um rótulo existente
DELETE
/
api
/
{session}
/
labels
/
{labelId}
Excluir uma etiqueta
Descrição
Este endpoint permite deletar um rótulo existente. Ao deletar um rótulo, ele será removido de todos os chats que o utilizavam.Parâmetros de URL
string
required
ID único da sessão WhatsApp
string
required
ID do rótulo a ser deletado
Resposta
boolean
Indica se o rótulo foi deletado com sucesso
{
"success": true,
"message": "Rótulo deletado com sucesso"
}
Códigos de Status
200- Rótulo deletado com sucesso400- Parâmetros inválidos401- Não autorizado404- Rótulo não encontrado
Exemplo de Uso
curl -X DELETE https://api.wappfy.com.br/api/my-session/labels/label123
const session = 'my-session';
const labelId = 'label123';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels/${labelId}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
label_id = 'label123'
response = requests.delete(f'https://api.wappfy.com.br/api/{session}/labels/{label_id}')
data = response.json()
print(data)
